from rest_framework.decorators import api_view
from rest_framework.response import Response
from rest_framework import status
from warpauth.models import LdapUser

@api_view(['GET'])
def printer_3d(request):
    ret= {"admin":{}, "user":{}}
    users = LdapUser.objects.filter(memberof__contains="cn=3dprint-user,ou=infrastructure,dc=warpzone,dc=ms").filter(memberof__contains="cn=active,ou=groups,dc=warpzone,dc=ms")
    for user in users:
        if user.card_id:
            ret["user"][user.card_id] = user.uid
    return Response(ret)

